#!/usr/bin/env node

const pkg = require(require("path").resolve("./package.json"));

let packageJson = null;
try {
  packageJson = require(require("path").resolve("../../../package.json"));
} catch (e) {}

const log = console.log;

const VERSIONS = {
  "@coreui/coreui": {
    url: "https://coreui.io/pro/",
    name: "CoreUI CSS library",
  },
  "@coreui/angular": {
    url: "https://coreui.io/pro/angular/",
    name: "CoreUI Angular components library",
    docs: "https://coreui.io/angular/docs/",
  },
  "@coreui/react": {
    url: "https://coreui.io/pro/react/",
    name: "CoreUI React components library",
    docs: "https://coreui.io/react/docs/introduction",
  },
  "@coreui/vue": {
    url: "https://coreui.io/pro/vue/",
    name: "CoreUI Vue components library",
    docs: "https://coreui.io/vue/docs/introduction/",
  },
};

const isFramework = false;
const haveStyles =
  packageJson &&
  packageJson.dependencies &&
  (packageJson.dependencies["@coreui/coreui"] ||
    packageJson.dependencies["@coreui/coreui-pro"]);

if (isFramework && !haveStyles) {
  // ` \x1b[33m`
}
